<script setup="props" lang="ts">
import { computed } from 'vue'

const props = defineProps<{
  features?: {title:string, details:string}[]
}>()
const features = computed(() => props.features ?? [{ title: 'default', details: 'details' }])
</script>

<template>
  <div
    v-if="features.length"
    class="features"
  >
    <div
      v-for="feature in features"
      :key="feature.title"
      class="feature"
    >
      <h2>{{ feature.title }}</h2>
      <p>{{ feature.details }}</p>
    </div>
  </div>
</template>

<style scoped>
/* ripped from .home .features in default theme */
.features {
    border-top: 1px solid var(--c-border);
    transition: border-color var(--t-color);
    padding: 1.2rem 0;
    margin-top: 2.5rem;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: stretch;
    justify-content: space-between;
}
.feature {
    flex-grow: 1;
    flex-basis: 30%;
    max-width: 30%;
}
</style>
